Start a new topic

Euphoria Advanced Softphone .NET Upgrade

We have in the past used the Euphoria Advanced Softphone to trigger an API endpoint with the AJAX fire on incoming call command to our software platform. This will trigger an alert on the call taker's screen when a new call comes in with the caller's number. This function has stopped working on our system which we have managed to track down to your application not supporting TLS 1.2, which is the lowest non-deprecated security standard in use. Please can you upgrade your Softphone to use .NET framework 4.6.2 (from your current .NET 3.5) which is a non-breaking upgrade so that it will support TLS 1.2 and as a result, current authentication protocols. 


Hi Eric,


Please note, we are aware of this and it has been added onto our development roadmap.


Unfortunately I don't have an exact ETA on this yet, but we are hoping to get this upgraded in the next few months.


Thank you

Thanks for the update Divan. Please let me know when you have an ETA on this so that we can tell our clients that are making use of this integration. 

Hi Eric,


I just want to let you know that the .NET Upgrade on Euphoria Advanced Softphone has been completed as requested.


Please let me know if you still have any issues.


Thank you

Login or Signup to post a comment